Skip to content
Order Management

Modify Order

This interface is used to modify an existing unfilled or partially filled order. By providing the account number account_no, order ID order_id, and the fields to be updated (such as quantity quantity, price price, and trigger price trigger_price), it updates the order information. Modification is only supported for orders in a modifiable state (e.g., submitted or pending). Upon successful modification, the order ID remains unchanged.

PUThttps://b-api.longbridge.xyz/v2/whaleapi/trade/order

Authorization

AuthorizationstringheaderRequired

Send the Broker ACCESS_TOKEN as Authorization: Bearer <token>.

Request body application/json

order_idstringrequired

Order ID. Order ID

pricestring

Modified Order Price. Modified Order Price

quantitystringrequired

Modified Order Quantity. Modified Order Quantity

trigger_pricestring

Trigger Price. Trigger Price

trailing_amountstring

Trailing Amount. Trailing Amount

trailing_percentstring

Trailing Percent. Trailing Percent

limit_offsetstring

Order Target Price Spread. Order Target Price Spread

remarkstring

Remark. Remark

account_nostringrequired

Account Number. Account Number

limit_depth_levelnumberrequired

Specifies the bid/ask depth level. Specifies the bid/ask depth level

monitor_pricestringrequired

Monitoring price. Monitoring price

trigger_countnumberrequired

Number of triggers. Number of triggers

Responses

HTTP 200Fields are taken from the real responses definition for this operation in the published Whale OpenAPI spec (whale-openapi/Whale-openapi.json).
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 400Bad request. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 401The user is not authenticated, or the login session has expired.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 403The current account is not authorized to use this feature. Grant the required permission to the account in User Permission.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 408The request timed out. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

Whale Docs